(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 3.3+dev4 generated code *)

let print_length ppf = function
  | u_l -> Upervasives_print.print_length ppf u_l
;;

let print_prefix ppf = function | s -> Lib_print.print_quoted_string ppf s

and print_suffix ppf = function | s -> Lib_print.print_quoted_string ppf s
;;

let rec print_key ppf = function | s -> Lib_print.print_quoted_string ppf s

and print_long_key ppf = function | k -> print_key ppf k

and print_short_key ppf = function | k -> print_key ppf k
;;

(* End of OCamlGen, 3.3+dev4 generated code *)
