(* $Id: unatural_index.mli,v 1.1 2013/06/14 07:32:02 fclement Exp $ *)

(** {3 Natural indices} *)

type index = Unatural.t;;

type offset = Unatural.t
and length = Unatural.t
and left = Unatural.t
and right = Unatural.t
;;

type indices =
  | Bounds of left * right
  | Range of offset * length
  | Indices of index array
;;
